{{- if .Values.explore.enabled }}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "cmem.servicename-explore" . }}
  labels:
    {{- include "cmem.labels-explore" . | nindent 4 }}
spec:
  type: {{ .Values.explore.service.type }}
  ports:
    - port: {{ .Values.explore.service.port }}
      targetPort: {{ .Values.explore.service.port }}
      protocol: TCP
      name: http
  selector:
    {{- include "cmem.selectorLabels-explore" . | nindent 4 }}
{{ end -}}
